
TYPO3.Neos - Bug # 30267

Status: Closed Priority: Must have
Author: Martin Brüggemann Category: Services
Created: 2011-09-25 Assigned To: Karsten Dambekalns
Updated: 2011-10-01 Due date:
Subject: site:import task broken
Description

I cloned the TYPO3 Phoenix base repository and tried to import the flow3org-Site-Package with:

./flow3 site:import --package-key=TYPO3.Flow3Org

Unfortunately, this doesn't work anymore. I get the following exception:

Uncaught Exception in FLOW3 #1297759968: Exception while property mapping at property path "":No converter found which
can be used to convert from "boolean" to "string".
thrown in file
/Volumes/Data/Users/herr/Sites/_ZFWSPACE/Flow3Org/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Property_PropertyMapper_Original.php
in line 129
Reference code: 20110925115603994843

  Nested exception:

  Uncaught Exception in FLOW3 No converter found which can be us
/TYPO3_FLOW3_Property_PropertyMapper_Original.php
in line 129
Reference code: 20110925115603994843

  Nested exception:

  Uncaught Exception in FLOW3 No converter found which can be used to convert from "boolean" to "string".
  thrown in file
/Volumes/Data/Users/herr/Sites/_ZFWSPACE/Flow3Org/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Property_PropertyMapper_Original.php
  in line 222
Reference code: 20110925115603ce7894

#0 TYPO3\FLOW3\Error\DebugExceptionHandler::echoExceptionCli()
   /Volumes/Data/Users/herr/Sites/_ZFWSPACE/Flow3Org/Packages/Framework/TYPO3.FLOW3/Classes/Error/AbstractExceptionHandler.php:59

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

/TYPO3_FLOW3_Property_PropertyMapper_Original.php
  in line 222
Reference code: 20110925115603ce7894

#0 TYPO3\FLOW3\Error\DebugExceptionHandler::echoExceptionCli()
  
/Volumes/Data/Users/herr/Sites/_ZFWSPACE/Flow3Org/Packages/Framework/TYPO3.FLOW3/Classes/Error/AbstractExceptionHandler.php:59

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

onHandler.php:59

#1 TYPO3\FLOW3\Error\AbstractExceptionHandler::handleException()

I recreated the database and tried again, but it seems to be a bug with the site:import command. Or am I using the wrong import
command?

Related issues:
related to TYPO3.Neos - Bug # 29539: Importing a Site from XML does not work ... Closed 2011-09-07
related to TYPO3.Flow - Bug # 30493: CLI argument handling chokes on = use Resolved 2011-10-01

History
#1 - 2011-09-27 20:16 - Martin Brüggemann

Piping the Sites.xml directly to the import commands works:
./flow3 site:import < Packages/Sites/TYPO3.Flow3Org/Resources/Private/Content/Sites.xml

#2 - 2011-09-28 09:53 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Works for me in both ways of invocation. If this is an issue even after upgrading to the latest sources, please attach the log and the generated
backtrace (see reference code) of the exception.

#3 - 2011-09-28 10:10 - Karsten Dambekalns

Could this somehow be related to #29539?

#4 - 2011-09-30 20:41 - Martin Brüggemann

Hi Karsten, this seems to be a general FLOW3 command argument handling error. If I switch back from trunk to FLOW3 beta2 everything works fine
again.

#5 - 2011-09-30 21:56 - Robert Lemke

Martin Brüggemann wrote:

Hi Karsten, this seems to be a general FLOW3 command argument handling error. If I switch back from trunk to FLOW3 beta2 everything works
fine again.

Weird, I cannot reproduce this with current master, import worked fine for me.

Can you update the exception message above? The line numbers don't match the Property Mapper as of now ...

#6 - 2011-09-30 22:37 - Martin Brüggemann

Maybe I'm totally wrong. To avoid that, I restarted with fresh FLOW3 trunk again and again, but the error remains. I start a fresh FLOW3 project like
this:

1) Cloned a brand new flow3 project with:
git clone --recursive git://git.typo3.org/FLOW3/Distributions/Base.git Base

2) Tried to kickstart a package with:
./flow3 kickstart:package --package-key=Katze.KatzenModule

resolves in this error:

Uncaught exception #1297759968 in line 299 of
/Volumes/Data/Users/herr/Sites/_ZFWSPACE/FLOW3Doku/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_MVC_Controller_Argument_Original.php: Excep
W3_MVC_Controller_Argument_Original.php: Exception while property mapping at property path "":No converter found which can be used to
convert from "boolean" to "string".

22 TYPO3\FLOW3\Property\PropertyMapper_Original::convert(boolean, (string)string,
TYPO3\FLOW3\MVC\Controller\MvcPropertyMappingConfiguration)
21 TYPO3\FLOW3\MVC\Controller\Argument_Original::setValue(boolean)
20 TYPO3\FLOW3\MVC\Controller\CommandController_Original::mapRequestArgumentsToControllerArguments()
19 TYPO3\FLOW3\MVC\Controller\CommandController_Original::processRequest(TYPO3\FLOW3\MVC\CLI\Request,
TYPO3\FLOW3\MVC\CLI\Response)
18 TYPO3\FLOW3\MVC\Dispatcher_Original::dispatch(TYPO3\FLOW3\MVC\CLI\Request, TYPO3\FLOW3\MVC\CLI\Response)
17 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\CLI\Request, TYPO3\FLOW3\MVC\CLI\Response)
16 call_user_func_array(array, array)
15 TYPO3\FLOW3\MVC\Dispatcher::FLOW3_AOP_Proxy_invokeJoinPoint(TYPO3\FLOW3\AOP\JoinPoint)
14 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
13 TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::setAccessDeniedResponseHeader(TYPO3\FLOW3\AOP\JoinPoint)
12 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
11 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
10
TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::blockIllegalRequestsAndForwardToAuthenticationEntryPoints(TYPO3\FLOW3\AOP\JoinPoint)
9 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
8 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
7 TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::initializeSecurity(TYPO3\FLOW3\AOP\JoinPoint)
6 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
5 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
4 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\CLI\Request, TYPO3\FLOW3\MVC\CLI\Response)
3 TYPO3\FLOW3\Core\Bootstrap::handleCommandLineRequest()
2 TYPO3\FLOW3\Core\Bootstrap::run()
1 require((/Volumes/Data/Users/herr/Sites/_ZFWSPACE/FLOW3Doku/Packages/Framework/TYPO3.FLOW3/Scripts/flow3.php)/Volumes/Data/Users/herr/Sites/_ZFWSPACE/FLOW3Doku/Packages/Framework/TYPO3.FLOW3/Scripts/flow3.php)

LOW3\AOP\JoinPoint)
9 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
8 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
7 TYPO3\FLOW3\Security\Aspect\RequestDispatchingAspect_Original::initializeSecurity(TYPO3\FLOW3\AOP\JoinPoint)
6 TYPO3\FLOW3\AOP\Advice\AroundAdvice_Original::invoke(TYPO3\FLOW3\AOP\JoinPoint)
5 TYPO3\FLOW3\AOP\Advice\AdviceChain_Original::proceed(TYPO3\FLOW3\AOP\JoinPoint)
4 TYPO3\FLOW3\MVC\Dispatcher::dispatch(TYPO3\FLOW3\MVC\CLI\Request, TYPO3\FLOW3\MVC\CLI\Response)
3 TYPO3\FLOW3\Core\Bootstrap::handleCommandLineRequest()
2 TYPO3\FLOW3\Core\Bootstrap::run()
1
require((/Volumes/Data/Users/herr/Sites/_ZFWSPACE/FLOW3Doku/Packages/Framework/TYPO3.FLOW3/Scripts/flow3.php)/Volumes/Data/Users/herr/Sites/_ZFWSPACE/FLOW3Doku/Packages/Framework/TYPO3.FLOW3/Scripts/flow3.php)

sers/herr/Sites/_ZFWSPACE/FLOW3Doku/Packages/Framework/TYPO3.FLOW3/Scripts/flow3.php)

3) If I start the help command for the package:kickstart with:
./flow3 help kickstart:package

it says:

ARGUMENTS:
  --package-key        The package key, for example "MyCompany.MyPackageName" 

4) If I try to set the argument without the explicit notation (--package-key) like the following it
works:

./flow3 help kickstart:package Katze.KatzenModule

So, is it just wrong to use the --packge-key notation? Maybe the help method just should be updated?

#7 - 2011-09-30 22:43 - Christian Müller

just leave the = out!

./flow3 kickstart:package --package-key Katze.KatzenModule

nice one btw :)

#8 - 2011-09-30 22:48 - Martin Brüggemann

YEEEEEEEEEEESSS!!! Thanks Christian! That's it! Don't know why I thought there has to bee a "=" divider between key and value.
#9 - 2011-10-01 00:00 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

Martin Brüggemann wrote:

Don't know why I thought there has to bee a "=" divider between key and value.

Well, on Unix-like systems both ways usually work. Either way, the use of = should not result in the exception it results in.

I'll close this one and open a new issue.
